@echo off
%test new layer%
%test opacity function%
%test lineex function%
%test rectangle function%
%test encryption function%
REM
REM For Example:
REM   -encrypt -openpwd=123 -ownerpwd=456 -keylen=1 -encryption=3900
REM
REM
REM   -openpwd <string>     : Set 'open password' to PDF file
REM   -ownerpwd <string>    : Set 'owner password' to PDF file
REM   -keylen <int>         : Key length (40 or 128 bit)
REM         -keylen 0:  40 bit RC4 encryption (Acrobat 3 or higher)
REM         -keylen 1: 128 bit RC4 encryption (Acrobat 5 or higher)
REM         -keylen 2: 128 bit RC4 encryption (Acrobat 6 or higher)
REM   -encryption <int>     : Restrictions
REM         -encryption    0: Encrypt the file only
REM         -encryption 3900: Deny anything
REM         -encryption    4: Deny printing
REM         -encryption    8: Deny modification of contents
REM         -encryption   16: Deny copying of contents
REM         -encryption   32: No commenting
REM         ===128 bit encryption only -> ignored if 40 bit encryption is used
REM         -encryption  256: Deny FillInFormFields
REM         -encryption  512: Deny ExtractObj
REM         -encryption 1024: Deny Assemble
REM         -encryption 2048: Disable high res. printing
REM         -encryption 4096: Do not encrypt metadata
        
pdfstamp.exe -newlayer "VeryPDF New Layer" -PDF "example.pdf" -o "encryption.pdf" -AT  "VeryPDF New\nLayer Test" -FT "Arial" -P9 -FS100 -opacity50 -R45 -C#0000FF   -AI logo.jpg -opacity80 -P2   -AL -LW30 -opacity30 -LINEEX 100,100,200,200 -encrypt -openpwd=123 -ownerpwd=456 -keylen=2 -encryption=3900